The Aether project is a way to back up server configuration, source code, and file lists to remote locations. These remote locations should be securely controlled by the same administrative staff as the server owner.

# Etymology
The Aether project is the AniNIX's implementation of the "cloud." While its admins consider the computing cloud to be Computers Living On Unknown Datacenters, aka. with unknown controls and thereby insecure, distributing backups to many locations makes the AniNIX more resilient.

Dictionary.com translates Aether as the Greek personification of the clear sky, and this project lives a wide array of locations across the nebulous Internet, giving it no physical form to hold onto.

# Installing
You have two options to install this project: 
* Arch Linux and related distros: Run `makepkg -sri`
* Other operating systems: Run `make install`

# Initial setup
To create the aether and aether.pub files, run "make keys". This should not be repeated.

# Adding backup configurations
Individual projects wanting to be backed up by the Aether system should add a file to their package into `/usr/local/etc/Aether/backups/`.

# Relevant Files and Software
Aether installs a script for rsync-based remote backups. We implement this policy through the two 4TB hard-drives, at least one of which is always off-site, that can be plugged into the [Maat](/Wiki/Hosts/Maat.md) hotswap bay along with a virtual machine that mounts the ArchLinux iso and the drive in the bay.

# Available Clients
The only client is direct server access on one of the client nodes.

# Equivalents or Competition
Equivalent services are DropBox, Google Drive, or Barracuda.

# Notes
Those deploying Aether should maintain a nodeslist file that only root can read.
